- Qt 5.0
- Qt 5.0.0 Reference Documentation

# EventTime QML Type

The EventTime element contains the start and end dates and times of a recurring event series, or occurrence of an event. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- allDay : date
- endDateTime : date
- startDateTime : date

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- EventTime.FieldStartDateTime
- EventTime.FieldEndDateTime
- EventTime.FieldAllDay

See also QOrganizerEventTime.

## Property Documentation

allDay : date

This property holds whether the time is significant in the start datetime.

endDateTime : date

This property holds the end date and time value of the event.

startDateTime : date

This property holds the start date and time value of the event.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.